package xtreemos::srds;


use common;
use xtreemos::xtreemos_check;

# usage:/usr/sbin/setup_SRDS_local_config.sh ethernet_device disk_device [bootstrap_node_ip]
# disk_device
# networkInterface
# Bootstrap_node_ip

sub fields {
    my ($conf, $network_interfaces) = @_;
    my @l = (
	[ disk_device => N("Disk device"), check => \&check_non_empty ],
        [ networkInterface => N("Network interface"), list => $network_interfaces ],
        [ bootstrap_address => N("Bootstrap node IP"), check => \&check_ip ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

1;
