package xtreemos::xtreemfs_mrc;


use common;
use xtreemos::xtreemos_check;


sub fields {
    my ($conf) = @_;
    my @l = (
        [ 'listen.port' => N("MRC Listen port"), check => \&check_number ],
	[ 'dir_service.host' => N("Directory service Host"), check => \&check_non_empty ],
        [ 'dir_service.port' => N("Directory service port"), check => \&check_number ],
	[ 'database.dir' => N("Database directory"), check => \&check_non_empty ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

1;
