package xtreemos::xtreemos_check;


use common;

our @ISA = qw(Exporter);
our @EXPORT = qw(is_ip check_non_empty check_number check_ip check_path create_path check_default);

sub is_ip {
    &network::network::is_ip;
}

sub check_non_empty {
    my ($val, $txt) = @_;
    !$val && N("Field \"%s\" must not be empty", $txt);
}
sub check_number {
    my ($val, $txt) = @_;
    $val !~ /^\d+$/ && N("Field \"%s\" must be a number", $txt);
}
sub check_ip {
    my ($val, $txt) = @_;
    !is_ip($val) && N("Field \"%s\" must be a valid IP address", $txt);
}

sub check_path {
        my ($val, $txt) = @_;
	    !-d $val && N("Field \"%s\" must be a directory", $txt);
	}

sub create_path {
        my ($val) = @_;
	    !-d "$::prefix/$val" && mkdir_p("$::prefix/$val");
	}


sub check_default {
    my ($val, $txt, $warn, $in, $default_val, $pre_val) = @_;
    if ($default_val && $val ne $default_val && $val ne $pre_val) {
	if ($warn eq 'warn') {
	    return '' if $in->ask_okcancel('', N("You changed the default value of field \"%s\". Are you sure to do this?", $txt));
	}
	'already_displayed';
    } else {
	'';
    }
}

1;
