package xtreemos::xtreemos_conf;


use common;
use xtreemos::xtreemos_check;

sub read() {
    my %main = getVarsFromSh("$::prefix/etc/xos/drakx.conf");
    \%main;
}

sub done {
    my ($conf, $network_interfaces) = @_;
    setVarsInSh("$::prefix/etc/xos/drakx.conf", $conf);
}

#	    	dir_service_host => "localhost",
#	    	dir_service_port => "32638",
#		rootaddress_host => "",
#		networkInterface => "eth0",
#		externalAddress => "",
#		bootstrap_address => "",
#		bootstrap_port =>  "",

sub fields {
    my ($conf, $network_interfaces, $default_conf) = @_;
    my $current_conf = { %$conf };
    put_in_hash($conf, $default_conf);
    my @l = (
	[ dir_service_host => N("Directoy service Host"), check => \&check_non_empty ],
        [ dir_service_port => N("Directoy service port"), check => \&check_number ],
        [ rootaddress_host => N("Root address host"), check => \&check_non_empty ],
        [ networkInterface => N("Network interface"), check => \&check_non_empty ],
        [ externalAddress => N("External address"), check => \&check_non_empty ],
        [ bootstrap_address => N("Bootstrap address"), check => \&check_non_empty ],
        [ bootstrap_port => N("Bootstrap port"), check => \&check_number ],
    );

    map { 
	my ($field, $label, %opts) = @$_;
	$opts{val} = \$conf->{$field};
	$opts{label} = $label;
	\%opts;
    } @l;
}

sub check_field {
    my ($in, $field) = @_;
    warn "checking $field->{label}\n";
    $field->{check} or return 1;
    my $err = $field->{check}->(${$field->{val}}, $field->{label}, warn => $in);
    $in->ask_warn('', $err) if $err && $err ne 'already_displayed';
    !$err;
}


1;
